TEXTUREQUERYLEVELS(3G)

NAME
textureQueryLevels - compute the number of accessible mipmap levels of a texture

DECLARATION

int textureQueryLevels(gsampler1D sampler);

int textureQueryLevels(gsampler2D sampler);

int textureQueryLevels(gsampler3D sampler);

int textureQueryLevels(gsamplerCube sampler);

int textureQueryLevels(gsampler1DArray sampler);

int textureQueryLevels(gsampler2DArray sampler);

int textureQueryLevels(gsamplerCubeArray sampler);

int textureQueryLevels(sampler1DShadow sampler);

int textureQueryLevels(sampler2DShadow sampler);

int textureQueryLevels(samplerCubeShadow sampler);

int textureQueryLevels(sampler1DArrayShadow sampler);

int textureQueryLevels(sampler2DArrayShadow sampler);

int textureQueryLevels(samplerCubeArrayShadow sampler);

PARAMETERS

sampler
    Specifies the sampler to which the texture whose mipmap level count will be queried is bound.

DESCRIPTION

textureQueryLevels returns the number of accessible mipmap levels in the texture associated with sampler.

If called on an incomplete texture, or if no texture is associated with sampler, zero is returned.

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
textureQueryLevels | - | - | - | - | - | - | - | - | - | ✔ | ✔ | ✔

SEE ALSO

texelFetch(), texelFetchOffset(), texture(), textureGather(), textureGatherOffset(), textureGatherOffsets(), textureGrad(), textureGradOffset(), textureLod(), textureLodOffset(), textureOffset(), textureProj(), textureProjGrad(), textureProjGradOffset(), textureProjLod(), textureProjLodOffset(), textureProjOffset(), textureSize()

COPYRIGHT

Copyright © 2012-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2012-2014 Khronos Group